<?php

require_once 'constants.php';
require 'vendor/autoload.php'; // Change path as needed

use GuzzleHttp\Client;

function fetchFacebookPosts($accessToken, $pageId) {
    $client = new Client([
        'base_uri' => 'https://graph.facebook.com/v12.0/', // Use the latest version available
    ]);

    try {
        // Send a GET request to fetch posts
        $response = $client->request('GET', "$pageId/posts", [
            'query' => [
                'access_token' => $accessToken
            ]
        ]);

        // Decode the JSON response
        $posts = json_decode($response->getBody(), true);

        // Return posts data or an empty array if no posts found
        return isset($posts['data']) ? $posts['data'] : [];
    } catch (GuzzleHttp\Exception\RequestException $e) {
        // Handle the exception (optionally log the error)
        echo 'HTTP Request failed: ' . $e->getMessage() . PHP_EOL;
        return []; // Return an empty array on error
    }
}

// Example usage
$appId = APP_ID;
$appSecret = APP_SECRET;
$accessToken = '367731132973197|lLJh-7f9BuGjbv8zQM96G8zh6nA';
$pageId = PAGE_ID;

$posts = fetchFacebookPosts($accessToken, $pageId);

// Example to show the output
if (!empty($posts)) {
    print_r($posts);
} else {
    echo "No posts found." . PHP_EOL;
}
?>
